@keyframes turn-on
  0%
    transform: translateX(0px)
  100%
    transform: translateX(35px)

@keyframes turn-off
  0%
    transform: translateX(35px)
  100%
    transform: translateX(0px)


.switch
  width: 70px
  height: 35px
  padding: 0px
  border: none
  border-radius: 50px
  background-image: linear-gradient(135deg, #64dfdf 0%, #48bfe3 100%)

  .ball
    width: 29px
    height: 29px
    margin: 3px

    left: 0px

    border: none
    border-radius: 50px
    background-color: #ffffff
    box-shadow: #000000 0px 4px 15px -8px

    box-sizing: border-box

  transition-duration: 150ms

  &:hover
    transform: scale(1.05)

  .switch-on
    animation: turn-on 100ms forwards

  .switch-off
    animation: turn-off 100ms forwards
